Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723398 - dev-lang/php should use a slot operator for app-text/recode
Summary: dev-lang/php should use a slot operator for app-text/recode
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-16 14:45 UTC by Mike Gilbert
Modified: 2021-01-07 02:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2020-05-16 14:45:45 UTC
I recently updated the subslot in app-text/recode due to an soname change.

Please adjust the dependency in dev-lang/php to use a slot operator. For example:

app-text/recode:0=
Comment 1 Sam James archtester gentoo-dev Security 2021-01-04 05:16:42 UTC
ping
Comment 2 Larry the Git Cow gentoo-dev 2021-01-07 02:18:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=032809c08eb67aed3eb8e699287887015b5b6826

commit 032809c08eb67aed3eb8e699287887015b5b6826
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2021-01-07 01:54:25 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2021-01-07 02:14:35 +0000

    dev-lang/php: new revisions with app-text/recode slot operators.
    
    Closes: https://bugs.gentoo.org/723398
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 dev-lang/php/php-7.2.34-r2.ebuild | 764 ++++++++++++++++++++++++++++++++++++++
 dev-lang/php/php-7.3.25-r1.ebuild | 760 +++++++++++++++++++++++++++++++++++++
 2 files changed, 1524 insertions(+)